List the custom fields of a work order type
https://carchost.fieldcontrol.com.br/services/{id}/custom-fieldsLists the custom field questions registered for a work order type, sorted by position. They are only the template: the answers are sent in the work order. The fields are registered in the Manager Panel. There is no pagination or filters.
A field with condition is only shown when the trigger has the expected answer. When answering through the work order, a hidden field must be left unanswered, and a required field with a condition is only required when it is visible.
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredWork order type identifier.
Example: MTk6MjI5MTU=.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 200
Custom fields of the work order type.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 422
Invalid identifier in the path or one from another account (uriValidationErr), or invalid query parameter (parametersValidationErr). A valid identifier that does not exist returns 404.
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.